\name{#PKGNAME#CHR}
\alias{#PKGNAME#CHR}
\title{Annotation of probe ids by chromosome numbers the corresponding
  genes reside}
\description{
This is an R environment (hash table) object mapping probe ids to
chromosome numbers the corresponding genes reside with NA's assigned to
probe ids that can not be mapped to any chromosome.  
}
\details{
  Probe ids are keys and the mapped chromosome numbers are
  values. Values are vectors of length 1 or more depending on whether a
  probe id can be mapped to only one or more chromosomes. Mappings
  between probe ids and chromosomes were obtained through their mappings
  to LocusLink ids.
  
  Mappings were based on data provided:
  #LLSOURCE#
  
  Package built: #DATE#
}
\references{
\url{ftp://ftp.ncbi.nih.gov/refseq/LocusLink/LL_tmpl.gz}
}
\examples{
        # Convert to a list
xx <- as.list(#PKGNAME#CHR)
        # Remove probe ids that do not map to any CHRLOC
        xx <- xx[!is.na(xx)]
if(length(xx) > 0){
    # Get the chromosome number for the first five probes
    xx[1:5]
            # Get the first one
            xx[[1]]
}
}
\keyword{datasets}

