\name{#PKGNAME#GENENAME}
\alias{#PKGNAME#GENENAME}
\title{Annotation of probes by the names of genes they corresponding to}
\description{
This is an R environment (hash table) object mapping probe ids to the
names of genes they corresponding to. Gene names are the descriptions
used for gene reports. 
}
\details{
  Probe ids are keys and gene names are values that are vectors of
  length 1. NAs are assigned to probe identifiers that can not be mapped
  to any gene name at this time.  

  Mappings were based on data provided by:

  #LLSOURCE#
  
  Package built #DATE#
}
\references{
\url{ftp://ftp.ncbi.nih.gov/refseq/LocusLink/LL_tmpl.gz}
}
\examples{
        # Convert to a list
xx <- as.list(env = #PKGNAME#GENENAME)
        # Remove probes that do not map to any GENENAME
        xx <- xx[!is.na(xx)]
if(length(xx) > 0){
  # Gets the gene names for the first five probe ids
xx[1:5]
                # Get the first one
                xx[[1]]
}
}
\keyword{datasets}

