\name{#PKGNAME#GRIF}
\alias{#PKGNAME#GRIF}
\title{Annotation of probe ids by unique PubMed ids}
\description{

  This is an R environment (hash table) mapping probe identifiers to the
  unique PubMed identifiers of the publication reporting the genes
  corresponding to the probe ids
}
\details{

  Probe ids are Keys and the unique PubMed ids are values. Values are
  vectors of length 1. NA is assigned to probe identifiers that can not
  be mapped to any unique PubMed id.
  
  Mappings were based on data provided by: 

  #LLSOURCE#

  Package built: #DATE#
}
\references{
\url{http://www.ncbi.nlm.nih.gov/LocusLink}
}
\examples{
  # Convert the environment to a list
xx <- as.list(#PKGNAME#GRIF)
        # Remove probe ids that do not map to any PubMed id
        xx <- xx[!is.na(xx)]
if(length(xx) > 0){
  # The unique PubMed ids for the first two elements of XX
xx[1:2]
                # Get the first one
                xx[[1]]
}
}
\keyword{datasets}

