\name{#PKGNAME#OMIM}
\alias{#PKGNAME#OMIM}
\title{Annotation of probe identifiers by MIM identifiers}
\description{

  This is an R environment (hash table) object mapping probe identifiers
  to Mendelian Inheritance in Man (MIM) numbers
}
\details{

  Probe ids are keys and the corresponding MIM numbers are
  values. Values are vectors of length 1 or greater depending on whether
  a given probe id can be mapped to only one or MIM numbers. NA is
  assigned to probe ids that can not be mapped to any MIM number at this
  time.
  
  Mappings were based on data provided by:

  #LLSOURCE#

  Package built #DATE#
}
\references{
  \url{http://www.ncbi.nlm.nih.gov/LocusLink}
}
\examples{
  # Convert the environment to a list
xx <- as.list(#PKGNAME#OMIM)
        # Remove probe ids that do not map to any MIM number
        xx <- xx[!is.na(xx)]
if(length(xx) > 0){
  # The MIM numbers for the first two elements of XX
xx[1:2]
                # Get the first one
                xx[[1]]
}
}

\keyword{datasets}

